<? if (!defined("_GNUBOARD_")) exit; ?>

<link rel="stylesheet" href="<?=$zms[index_path]?>/style.css" type="text/css">
<script src="<?=$zms[index_path]?>/js/jquery.swipeplanes-1.2.min.js"></script>
<script>
//-- swipe를 위한 공통 변수
var doc_width	= $(window).width() - 12;							//-- 화면 폭. 좌우 여백 6 * 2
var arrow_left	= "<?=$zms[index_path]?>/img/btn_arrow-left.gif";	//-- 페이지 왼쪽 버튼
var arrow_right	= "<?=$zms[index_path]?>/img/btn_arrow-right.gif";	//-- 페이지 오른쪽 버튼

function chageTitle(obj, page){
	var latest_box = $(obj).attr("class");

	$("."+latest_box+" ul li").removeClass();
	$("."+latest_box+" ul li").eq(page).addClass("lst_current");

	set_cookie(latest_box+"_pageno", page);
}
function goto_board(css, page){
	var latest_box = $("."+css).attr("class");

	if($("."+latest_box+" ul li").eq(page).attr('class') == "lst_current"){
		var bo_table	= $("."+latest_box+" ul li").eq(page).attr('id');
		zm_gourl("<?=$g4[bbs]?>/board.php?bo_table="+bo_table);
	}
}
</script>

<?
//-- 최신글 ---------------------------------------------------------------------------------------
//-- Index 상단에 보여질 최근글 게시판들. 배열 키 : bo_table, 배열 값 : 화면에 보여질 게시판 이름
//-- 새로 추가하거나 제거하고 싶은 최근 글은 이 배열만 수정하면 됨.
//-- array("bo_table"=>"제목", "bo_table1"=>"제목2", "bo_table3"=>"제목3"....)

$arrLatestBoard	= array("freeboard"=>"게시판", "notice"=>"공지");
//-- ----------------------------------------------------------------------------------------------
?>
<section>
<div class="latest_box1">
	<ul id="tab">
<?		$j = 0;
		foreach($arrLatestBoard as $k=>$v) : ?><li id="<?=$k?>" class="<?=($j == 0)?'lst_current':'lst_list'?>" onclick="goto_board('latest_box1', <?=$j?>); $('.latest_box1').swipePlanes(<?=$j?>)">&nbsp;<?=$arrLatestBoard[$k]?>&nbsp;</li><?	$j++; endforeach; ?>
	</ul>
	<div>
<?	foreach($arrLatestBoard as $k=>$v) : ?>
		<div class="latest1">
			<?=zm_latest("zm.basic", "$k", 7, 100);?>
		</div>
<?	endforeach; ?>
	</div>
</div>
</section>

<script>
$(document).ready(function(){
	$('.latest_box1').swipePlanes();
	var cook_page	= get_cookie("latest_box1_pageno");

	$(".latest_box1 ul li").removeClass();
	$(".latest_box1 ul li").eq(cook_page).addClass("lst_current");		//-- 제목 변경
	$('.latest_box1').swipePlanes(cook_page);									//-- 패널 변경
});
//-- latest_box1의 폭을 화면 크기에 맞춤
$("div.latest_box1").css("width", doc_width+"px");
$("div.latest1").css("width", doc_width+"px");
</script>
<style>
/* swipe 관련 */
div.latest_box1	{ height:360px; background:#fff; }
div.latest1 { height:360px; }
</style>

<? //-- 최신글 swipe 끝 ------------------------------------------------------------------------------ ?>

<div id="zmb_ad_middle_box" style="background:#AC83BB url('<?=$zms[index_path]?>/img/banner_wonjus.gif') no-repeat center;">
	<!-- 광고 배너 들어가는 자리. 배경으로 이미지 삽입 -->
</div>

<? //-- 최근 이미지 ---------------------------------------------------------------------------------- ?>
<?
$arrLatestBoard	= array("gallery"=>"갤러리", "test"=>"TEST");
?>

<section>
<div class="latest_box2">
	<ul id="tab">
<?		$j = 0;
		foreach($arrLatestBoard as $k=>$v) : ?><li id="<?=$k?>" class="<?=($j == 0)?'lst_current':'lst_list'?>" onclick="goto_board('latest_box2', <?=$j?>); $('.latest_box2').swipePlanes(<?=$j?>)">&nbsp;<?=$arrLatestBoard[$k]?>&nbsp;</li><?	$j++; endforeach; ?>
	</ul>
	<div>
<?	foreach($arrLatestBoard as $k=>$v) : ?>
		<div class="latest2">
			<?=zm_latest("zm.gallery", "$k", 3, 100);?>
		</div>
<?	endforeach; ?>
</div>
</div>
</section>

<script>
$(document).ready(function(){
	$('.latest_box2').swipePlanes();
	var cook_page	= get_cookie("latest_box2_pageno");

	$(".latest_box2 ul li").removeClass();
	$(".latest_box2 ul li").eq(cook_page).addClass("lst_current");		//-- 제목 변경
	$('.latest_box2').swipePlanes(cook_page);							//-- 패널 변경
});
//-- latest_box1의 폭을 화면 크기에 맞춤
$("div.latest_box2").css("width", doc_width+"px");
$("div.latest2").css("width", doc_width+"px");
</script>
<style>
/* swipe 관련 */
div.latest_box2	{ height:160px; background:#fff; }
div.latest2 { height:160px; }
</style>
<? //-- 최근 이미지 swipe 끝 ------------------------------------------------------------------------ ?>

<? //-- swipe 없는 단일 최근 글 상자 ----------------------------------------------------------------- ?>
<section>
<div class="latest_list_box"><?=zm_latest("zm.board", "freeboard", 7, 100);?></div>
</section>

<? //-- swipe 없는 단일 갤러리 상자 ------------------------------------------------------------------ ?>
<section>
<div class="latest_list_box"><?=zm_latest("zm.gallery2", "gallery", 3, 100);?></div>
</section>